Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Interface Selectable

All Known Implementing Classes:
  Column, Formula

    public interface Selectable

Method Summary
`String` | `getAlias(Dialect dialect)`
`String` | `getAlias(Dialect dialect, Table table)`
`String` | `getTemplate(Dialect dialect, SQLFunctionRegistry functionRegistry)`
`String` | `getText()`
`String` | `getText(Dialect dialect)`
`boolean` | `isFormula()`

Method Detail

### getAlias

    String getAlias(Dialect dialect)

### getAlias

    String getAlias(Dialect dialect,
                    Table table)

### isFormula

    boolean isFormula()

### getTemplate

    String getTemplate(Dialect dialect,
                       SQLFunctionRegistry functionRegistry)

### getText

    String getText(Dialect dialect)

### getText

    String getText()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.